Bug 1311223 - Black Screen after wakeup from standby
Black Screen after wakeup from standby
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 11:03 EST by Max
Modified: 2016-12-20 13:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:58:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max 2016-02-23 11:03:59 EST
Description of problem:
Black Screen after wakeup from standby

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Screen stays black

Expected results:
After wakeup from standby you should be able to just use the computer again

Additional info:
Everything was normal until the intel driver got updated. Now after standby the screen stays black and doesn't wake up
Comment 1 rstory 2016-02-25 19:43:32 EST
I'm seeing something similar, but I'm not sure if it's an x driver bug, a kernel bug or an interaction. Today I updated to xorg-x11-drv-intel.x86_64 2.99.917-19.20151206.fc23 and xorg-x11-drv-nouveau.x86_64 1:1.0.12-3.fc23. If I boot with the latest kernel (kernel-4.3.5-300.fc23.x86_64), when I wake from sleep I get a black screen with a cursor that responds to mouse movement. I can switch to a text tty and log in.  If I reboot and select kernel kernel-4.3.4-300.fc23.x86_64, resume works.

MacBook Pro (MBP 6,2), Xorg.0.log shows nouveau and intel drivers loaded, but nouveau selected.
Comment 2 Major Hayden 2016-02-26 09:58:56 EST
I'm having the same issue (screen stays black after coming back from display sleep) with:

kernel-4.3.5-300.fc23.x86_64
xorg-x11-drv-intel-2.99.917-16.20150729.fc23.x86_64

If I upgrade xorg-x11-drv-intel to 2.99.917-19.20151206.fc23, and reboot, the screen stays black when coming back from display sleep.  If I downgrade back to 2.99.917-16.20150729.fc23.x86_64, the screen comes back on after display sleep. I've tried digging into the system journal but I can't find anything useful there.

Here's a peculiar workaround I found:

* Boot with 2.99.917-19 loaded
* Log into GNOME
* Press Windows-L to lock the screen
* Wait a few seconds for the display to sleep
* Wiggle the mouse (screen stays black)
* Connect an external display via DisplayPort
* Screen comes on and I can log in
* Disconnect external display

That's not a pleasurable workaround by any means, but I hope it helps with the troubleshooting. :)

I'm on a 4th gen ThinkPad X1 Carbon with an i7-5600U with Intel HD Graphics 5500.
Comment 3 rstory 2016-02-26 17:11:28 EST
After more testing, the old kernel just let one sleep/wake cycle work. The second would result in the black screen on wake. But if I downgrade the nouveau driver to xorg-x11-drv-nouveau-1.0.12-1.fc23.x86_64, things work. So it seems like a common issue in nouveau and intel drivers.
Comment 4 Max 2016-02-28 16:50:33 EST
Same here. Downgrade of the xorg-x11-drv-nouveau package helped, so it must be an issue in the latest version there.
Comment 5 jeffrey 2016-03-03 02:53:41 EST
(In reply to Max from comment #4)
> Same here. Downgrade of the xorg-x11-drv-nouveau package helped, so it must
> be an issue in the latest version there.

I can confirm that. For the time being you can remove the newest and install previous:

(I have Fedora 23)
sudo dnf remove xorg-x11-drv-intel;
sudo dnf install xorg-x11-drv-intel-2.99.917-16.20150729.fc23.x86_64;


The appears in version 2.99.917-19.20151206.fc23
Comment 6 Fedora End Of Life 2016-11-24 10:43:30 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 13:58:18 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.